NNTPLIST(1)

NAME
nntplist - obtain newsgroup list and other information from an NNTP server

SYNOPSIS
nntplist [-x WildSpec] [-o OutputFile] [type]

DESCRIPTION

nntplist provides a convenient interface to the 'LIST' command of an NNTP server, allowing the downloading of information such as lists of newsgroups. It is in fact mostly intended to be used internally by various shell scripts which are in turn used by the trn(1) newsreader.

OPTIONS

-x WildSpec
    This option allows a wildcard specification to be passed to the server to limit the amount of information produced.

-o OutputFile
    This option specifies an output file into which the data from the server is saved. If this option is not given, the default is to write the data to standard output.

type
    This specifies the type of information to be obtained from the server. It can be any of the LIST command arguments your server accepts. If type is not specified it defaults to ACTIVE.

EXAMPLES

nntplist -x 'alt.*'

    This lists all the alt. newsgroups your newsserver currently handles (ie those in its active file).

AUTHOR
Stan Barber was the original author of nntplist.

Peter Maydell <pmaydell@chiark.greenend.org.uk> wrote this manual page.

SEE ALSO
newsgroups(1), trn(1)